> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/file-system-and-storage/mount-dropbox.md).

# Mount Dropbox

### Enabling Dropbox access

Open [Account > Settings > Dropbox Sync](https://app.nuvolos.cloud/user/settings/dropbox) and click the **Enable** button.

When you link your Dropbox account, a special folder is created in your main Dropbox folder at **Apps → nuvolos.cloud**. With the mount integration, this folder is visible on your Application's filesystem as the directory `/dropbox`.

The `/dropbox` folder is only visible while running Nuvolos Applications. You cannot interact directly with Dropbox files via the Nuvolos web UI.

### How synchronisation works

When working with files under `/dropbox` in your Nuvolos Application:

* Reading a file from `/dropbox` (and any subfolders) triggers a download of its contents on the fly.
* Writing a file under `/dropbox` (and any subfolders) triggers an upload to Dropbox on the fly.

Synchronisation only happens when files under `/dropbox` are read or written.

### Dropbox and file system quotas

Since all files are read from and persisted back to Dropbox directly, files stored in your Dropbox account **will not increase** your [Nuvolos file system](/reference/file-system-and-storage.md#nuvolos-file-system-nfs) usage footprint. This enables you to use Dropbox as a **storage extension** for your Nuvolos spaces.

### Unlink your Dropbox account

You can unlink your Dropbox account anytime at [Account > Settings > Dropbox Sync](https://app.nuvolos.cloud/user/settings/dropbox). Applications started after unlinking will not connect to Dropbox, running applications will still have a connection until restarted.

### Limitations

There are some limitations to this integration to keep in mind:

* **Dropbox rate limits**: if you're making lots of changes very fast on the files/folders under **`/dropbox`**, it might take some time until those are reflected in your Dropbox account because the rate of operations is limited by Dropbox, and some operations will need to be delayed by the integration tool for later execution.
* **File size limit**: The mount integration does not support reading/writing files larger than 15 GB.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/file-system-and-storage/mount-dropbox.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
